using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace nft.contributions.graphics {
    /// <summary>
    /// 画像などのオーバライドテーブルを保持する
    /// </summary>
    /// 2014/03/02 現時点で未使用、破棄の方向
    /// <typeparam name="Type"></typeparam>
    public class OverrideTable<Type> {
        public delegate Type ElementParser(XmlElement e);

        public void ParseXml(XmlElement e, ElementParser parser) {
        }

        public Type this[DateTime datetime] {
            get {
                return default(Type);
            }
        }
    }
}
